﻿using System;
using System.Collections.Generic;
using TheGameExtreme.model.card;

namespace TheGameExtreme.model.rule.playRules
{
    public class PasDeDix : PlayRule
    {

        public static readonly String REGLE_PASDEDIX = "PasDeDix";

        public PasDeDix()
        {
        }

        override public bool Test(Card playedCard, Stack<Card> stack, bool bottomUp)
        {
            if ((stack.Peek().Value + 10) == playedCard.Value || (stack.Peek().Value - 10) == playedCard.Value)
            {
                return true;
            }
            return false;
        }

    }
}
